Summary: This is an LDAP authentication module for Apache.
Name: auth_ldap
Group: Applications/System
License: GPL
Version: 1.4.8
Release: 3.1
Source: http://www.rudedog.org/auth_ldap/auth_ldap-%{version}.tar.gz
Patch0: auth_ldap-1.4.3-redhat.patch
Patch1: auth_ldap-1.4.8-format.patch
Url: http://www.rudedog.org/auth_ldap/
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel, openldap-devel
Obsoletes: mod_auth_ldap
Requires: webserver

%description
This is an authentication module for Apache that allows you to authenticate
HTTP clients using user entries in an LDAP directory.

%prep
%setup -q -n auth_ldap-%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .format
make clean

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/apache/mod_auth_ldap.so
%doc *.html PROBLEMS

%changelog
* Tue Jan 10 2006 Joe Orton <jorton@redhat.com> 1.4.8-3.1
- add fix for format string vulnerability

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- add apache-devel as a BuildPrereq (uses apxs)

* Mon Jun 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- s/Copyright:/License:/

* Tue May 22 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.4.8

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Jan 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.4.7

* Thu Jan 11 2001 Nalin Dahyabhai <nalin@redhat.com>
- change the package name back to auth_ldap

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.4.6
- do a "make clean" first
- add "Requires: webserver:

* Fri Nov 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment
- rename to "mod_auth_ldap"
- update to 1.4.5

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.4.3

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- add openldap-devel as a build prereq

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.4.2

* Fri Feb 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against Apache with EAPI (release 2)

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- first build for Red Hat Linux 6.1
